uni-app——想说爱你不容易之踩坑系列

框架

浏览数:39

2019-6-11

1.uni-app不支持动态组件,目前在用i-if判断,或者用scroll-view切换,没有想到什么其他的办法

2.uni-app不支持具名插槽,会导致页面塌陷

3.uni-app在做动态组件渲染的时候可能会对高度,偏移,定位不友好,但是用px单位就不会有问题,感觉原因是在打包的时候upx单位不会编译成px

4.平常我们再写vue项目的时候会写一个扫描文件,为的就是不用每个组件都去引用那么多组件,但是我在做uni-app的时候浏览器运行是没问题的,但是在安卓手机上并不支持,我打印了一下,确实是扫出来了,但是并没有加载成功,

不知道什么原因,可能是官方想让你老老实实的引组件吧,扫描文件如下,做vue项目的时候还是能用上的,很简单,如下:

const components = [];
// 扫描到前文件夹下的.vue文件
const pages_path = require.context('./',true,/\.vue$/);
// 遍历
pages_path.keys().forEach(item => {
    let path = pages_path(item)
    // 截取字符串
    path.default.name = item.split('/').pop().replace(/\.vue$/, '')
    components.push(path)
})
// 组件初始化
const install = function (Vue) {
    components.map(el => {
        let name = el.default.name
        Vue.component(name, el.default)
    })
}
// 导出组件
module.exports = {
    install
}

 5. uni-app是支持npm私有仓库的,但是下载完依赖后浏览器不会出现问题,手机会出现找不到依赖的问题

 6.uni-app支持简单的样式绑定,绑定的值只能是字符串,不支持复杂的绑定比如  :class=”{class-a,class-b: true}”和  :class=”[class-a,class-b]”这种是不支持的(手机端)

作者:俗的太不一样